This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 62363 - UHE during loading "XML Layer" node
Summary: UHE during loading "XML Layer" node
Status: VERIFIED FIXED
Alias: None
Product: apisupport
Classification: Unclassified
Component: Project (show other bugs)
Version: 5.x
Hardware: All All
: P2 blocker (vote)
Assignee: Jesse Glick
URL:
Keywords:
Depends on: 33232
Blocks:
  Show dependency tree
 
Reported: 2005-08-16 11:28 UTC by Martin Krauskopf
Modified: 2005-10-26 14:30 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments
thrown exception (2.89 KB, text/plain)
2005-08-16 11:29 UTC, Martin Krauskopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Krauskopf 2005-08-16 11:28:55 UTC
If you don't have an active Internet connection within NB, UnknownHostException
is thrown during opening "Important Files". I would suppose that the
filesystem-1_1.dtd (if it is a culprit) is resolved locally.
Comment 1 Martin Krauskopf 2005-08-16 11:29:43 UTC
Created attachment 23908 [details]
thrown exception
Comment 2 Jesse Glick 2005-08-16 16:28:30 UTC
You're right, the NetBeans Catalog (or any catalog supplying definitions for the
two XML filesystem DTDs) needs to be mounted. I guess I was always testing it
with an open internet connection... Note that it should work already in the unit
tests since I set a catalog there.
Comment 3 Martin Krauskopf 2005-08-16 16:40:24 UTC
> Note that it should work already in the unit tests since I set a catalog there.
But it doesn't - LayerUtilsTest, CreatedModifiedFilesTest, P1? ;)
Comment 4 Martin Krauskopf 2005-08-17 11:39:29 UTC
Mounting DTD into the Netbeans Catalog or setting system proxy (I'm using Gnome)
works for wizards. But I haven't found any workaround to run test than using
open internet connection - which is impossible in my job ;). Neither method
doesn't work. I'm lucky that I have WFH today, since I would have to find
another workaround, presuambly on a system level. (BTW: I would appreciate this
one to be fixed more that that OOME P1)
Comment 5 Jesse Glick 2005-08-17 13:54:15 UTC
I will check the test problem first. (Don't know what OS you use but FWIW you
may be able to define a proxy using env vars.)
Comment 6 Jesse Glick 2005-08-17 14:09:43 UTC
I'm sorry, it seems I put a catalog handler into WritableXMLFileSystemTest but
forgot it in the others. :-/
Comment 7 Martin Krauskopf 2005-08-17 14:14:29 UTC
Linux, FC3. Neither setting proxy with $http_proxy or with gnome gconf doesn't
work. It will help *only* when running wizard in UI. It seems that when running
test(from CLI or from IDE) those values are ignored. I would probably need to
set proxy for ant somehow.
Comment 8 Jesse Glick 2005-08-17 14:50:40 UTC
OK, fixing the test part:

committed   * Up-To-Date  1.17       
apisupport/project/test/unit/src/org/netbeans/modules/apisupport/project/CreatedModifiedFilesTest.java
committed   * Up-To-Date  1.13       
apisupport/project/test/unit/src/org/netbeans/modules/apisupport/project/TestBase.java
added       * Up-To-Date  1.1        
apisupport/project/test/unit/src/org/netbeans/modules/apisupport/project/layers/LayerTestBase.java
committed   * Up-To-Date  1.2        
apisupport/project/test/unit/src/org/netbeans/modules/apisupport/project/layers/LayerUtilsTest.java
committed   * Up-To-Date  1.4        
apisupport/project/test/unit/src/org/netbeans/modules/apisupport/project/layers/WritableXMLFileSystemTest.java
committed   * Up-To-Date  1.12       
apisupport/project/test/unit/src/org/netbeans/modules/apisupport/project/ui/customizer/SingleModulePropertiesTest.java
committed   * Up-To-Date  1.5        
apisupport/project/test/unit/src/org/netbeans/modules/apisupport/project/ui/wizard/action/DataModelTest.java

Sorry about that.
Comment 9 Jesse Glick 2005-08-19 04:02:01 UTC
Fixed w/ fix of issue #33232.
Comment 10 pzajac 2005-10-26 14:30:40 UTC
verified